Paycose Docs
Tax Rate
PATCH/tax_rates/{tax_rate_id}

Update Tax Rate

Body — UpdateTaxRateDTO.

Request

Example

curl -X PATCH 'https://api.paycose.com/api/v1/app1/platform/wallet/tax_rates/{{tax_rate_id}}' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -d '{
  "active": true,
  "description": "",
  "display_name": "",
  "labels": [
    "<string>"
  ]
}'

Headers

NameValue
X-Session-Token{{session_token}}
X-Country{{country}}

Body

NameTypeValue
activebooleantrue
descriptionstring
display_namestring
labelsarray[1]
{
  "active": true,
  "description": "",
  "display_name": "",
  "labels": [
    "<string>"
  ]
}

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "id": "<string>",
  "object": "<string>",
  "resource": "<string>",
  "created_at": "<RFC3339 timestamp>",
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "next_action": [
    {
      "type": "<string>",
      "title": "<string>",
      "description": "<string>",
      "i18n_key": "<string>",
      "url": "<string>",
      "client_secret": "<string>",
      "payment_method": "<string>",
      "qr_data": "<string>"
    }
  ]
}
400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page